// Author 		: F. de la Parra
// Date			: April, 2019
// Description  : This class implements a "data" node.
// Version      : 1.0


public class DNode {
	// Data contents of the node.
	private String item;
	private int index;
	
	// Link from "this" DNode to "another" DNode. 
	private DNode link;
	
	// Default constructor.
	public DNode() {
		link = null;
		item = null;
		index = 0;
	}
	
	// Full parameter constructor.
	public DNode(String newItem, int newIndex, DNode linkValue) {
		setData(newItem, newIndex);
		link = linkValue;
	}
	
	// Accessor methods.
	
	public String getItem() {
		return item;
	}
	
	public int getIndex() {
		return index;
	}
	
	public DNode getLink() {
		return link;
	}
	
	// Mutator methods.
	public void setData(String newItem, int newIndex) {
		item = newItem;
		index = newIndex;
	}
	
	public void setLink(DNode newLink) {
		link = newLink;
	}
	
	
}